Bug 988655 - delegate not in user's group can't modify the group job submitted by itself on the user’s behalf
delegate not in user's group can't modify the group job submitted by itself o...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
develop
Unspecified Unspecified
high Severity high (vote)
: 0.14
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks: 960302
  Show dependency treegraph
 
Reported: 2013-07-26 01:09 EDT by wangjing
Modified: 2013-08-08 23:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:24:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-07-26 01:09:05 EDT
Description of problem:
delegate not in user's group can't modify the group job submitted by itself on the user’s behalf

Version-Release number of selected component (if applicable):
beaker-devel env Version - 0.13.2(20130724)


How reproducible:
always

Steps to Reproduce:
1. delegate1 is a submission delegate of user1.
2. user1 is in group1, but delegate1 is not.
3. delegate1  submit a group1 job1 on the user1’s behalf.
4. delegate1 try to modify the group job1.

Actual results:
delegate1 can't modify group job1 that submitted by itself.

Expected results:
delegate1 has the privilege to modify group job1.

Additional info:
Comment 2 wangjing 2013-07-26 02:26:05 EDT
supplement for comment0:
'modify the job' means: cancel/delete, and modify the tag, product, whiteboard, etc.

thanks!
Comment 3 Raymond Mancy 2013-07-26 03:06:07 EDT
http://gerrit.beaker-project.org/#/c/2123/
Comment 6 wangjing 2013-07-28 23:44:05 EDT
verified on beaker-devel(2013-7-28)-->pass
step:
1. delegate1 is a submission delegate of user1.
2. user1 is in group1, but delegate1 is not.
3. delegate1  submit a group1 job1 on the user1’s behalf.
4. delegate1 try to modify the group job1.

Actual results:
delegate1 has the privilege to modify group job1 which means: cancel/delete, and modify the tag, product, whiteboard, etc.


Expected results:
same with actual result.
Comment 7 Dan Callaghan 2013-08-08 23:24:38 EDT
Beaker 0.14.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.